Engine Unity3D no Ubuntu 15.10 [RESOLVIDO]

1. Engine Unity3D no Ubuntu 15.10 [RESOLVIDO]

Hugo Leonardo de Jesus Couto
hugolcouto

(usa Ubuntu)

Enviado em 23/03/2016 - 23:33h

Olá, pessoal.

Esse é o meu primeiro post no forum e gostaria de tirar uma dúvida:

Há poucos dias eu precisei formatar a minha máquina por conta de um problema de broken package que não consegui solucionar de jeito nenhum. Acontece que um dos programas que eu tinha instalado na minha máquina era a engine Unity3D, que baixei via
apt-get 
. O problema é que a página onde peguei o código não está mais disponível - aliás, a página em questão é daqui do forum https://www.vivaolinux.com.br/.../Instalar-o-Unity3d-no-Ubuntu-1410-lts

A versão que baixei aí era a 5.0.1, se não me engano, e não consigo achar esse comando em lugar nenhum e nenhum outro que baixei funcionou direito.

Ficaria grato se alguém conseguisse me ajudar.


[EDIT]

Depois de bastante pesquisa, consegui resolver o problema através do make.
sudo apt-add-repository ppa:ubuntu-desktop/ubuntu-make
sudo apt-get update && sudo apt-get install -y ubuntu-make
umake games unity3d


Dessa forma irá instalar a Unity mais recente posível, mas virá com um bug que deixa a tela inicial totalmente preta, impedindo o uso do programa. Caso isso aconteça, basta cirar uma pasta Packages dentro de onde a Unity foi instalada.
mkdir -p ~/.local/share/unity3d/Packages 


Por fim resta apenas instalar o npm.
sudo apt-get install npm 


Feito! Unity funcionando ;)




  






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts